Snap.Util.FileUploads

# Functions

handleFileUploads

handleMultipart

# Uploaded parts

data PartInfo

## Policy

### General upload policy

data UploadPolicy

defaultUploadPolicy

doProcessFormInputs

setProcessFormInputs

getMaximumFormInputSize

setMaximumFormInputSize

getMinimumUploadRate

setMinimumUploadRate

getMinimumUploadSeconds

setMinimumUploadSeconds

getUploadTimeout

setUploadTimeout

### Per-file upload policy

data PartUploadPolicy

disallow

allowWithMaximumSize

# Exceptions

data FileUploadException

fileUploadExceptionReason

data BadPartException

badPartExceptionReason

data PolicyViolationException

policyViolationExceptionReason